Subject: [Fot] Decals and Posters. And a little bit about the future.

From: Joe Alexander via Fot <[email-masked]>
Date: Sun, 14 Feb 2021 10:26:37 -0600

The demand has exceeded the supply. I will reluctantly pursue the cost of another run. Please stand by. I will get the costs as soon as I can.

If someone else would like to volunteer to do this, please contact me personally.   It is really great that we have this level of interest.

It certainly is a group we can be proud of.

Curt Johnston is working diligently on the next Kastner Cup at Portland.

Henry Frye is working hard to revamp the FOT Website.

I am working on the British Sports Car Museum and Hall of Fame. The FOT is and will be prominently represented there.

Best Regards to everyone.

Joe Alexander
4505 Donald Dr
Cedar Falls, IA 50613
The-vintage-racer.com
Gasketinnovations.com
Cell:  319.464.4711

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot